Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGPathSegList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGPathSegList

All Implemented Interfaces:
  SVGPathSegConstants, org.w3c.dom.svg.SVGPathSegList

Direct Known Subclasses:
  AbstractSVGNormPathSegList, SVGOMAnimatedPathData.AnimSVGPathSegList, SVGOMAnimatedPathData.BaseSVGPathSegList

    public abstract class AbstractSVGPathSegList

extends AbstractSVGList
implements org.w3c.dom.svg.SVGPathSegList, SVGPathSegConstants

This class is the implementation of `SVGPathSegList`.

Nested Class Summary
`protected class` | `AbstractSVGPathSegList.PathSegListBuilder`
`class` | `AbstractSVGPathSegList.SVGPathSegArcItem`
`class` | `AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem`
`class` | `AbstractSVGPathSegList.SVGPathSegCurvetoCubicSmoothItem`
`class` | `AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem`
`class` | `AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticSmoothItem`
`protected class` | `AbstractSVGPathSegList.SVGPathSegItem` Internal representation of the item SVGPathSeg.
`class` | `AbstractSVGPathSegList.SVGPathSegLinetoHorizontalItem`
`class` | `AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem`
`class` | `AbstractSVGPathSegList.SVGPathSegMovetoLinetoItem`

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary
`static String` | `SVG_PATHSEG_LIST_SEPARATOR` Separator for a point list.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Fields inherited from interface org.apache.batik.dom.svg.SVGPathSegConstants
`PATHSEG_ARC_ABS_LETTER, PATHSEG_ARC_REL_LETTER, PATHSEG_CLOSEPATH_LETTER, PATHSEG_CURVETO_CUBIC_ABS_LETTER, PATHSEG_CURVETO_CUBIC_REL_LETTER, PATHSEG_CURVETO_CUBIC_SMOOTH_ABS_LETTER, PATHSEG_CURVETO_CUBIC_SMOOTH_REL_LETTER, PATHSEG_CURVETO_QUADRATIC_ABS_LETTER, PATHSEG_CURVETO_QUADRATIC_REL_LETTER, PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS_LETTER, PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL_LETTER, PATHSEG_LETTERS, PATHSEG_LINETO_ABS_LETTER, PATHSEG_LINETO_HORIZONTAL_ABS_LETTER, PATHSEG_LINETO_HORIZONTAL_REL_LETTER, PATHSEG_LINETO_REL_LETTER, PATHSEG_LINETO_VERTICAL_ABS_LETTER, PATHSEG_LINETO_VERTICAL_REL_LETTER, PATHSEG_MOVETO_ABS_LETTER, PATHSEG_MOVETO_REL_LETTER`

Constructor Summary
`protected` | `AbstractSVGPathSegList()` Creates a new SVGPathSegList.

Method Summary
`org.w3c.dom.svg.SVGPathSeg` | `appendItem(org.w3c.dom.svg.SVGPathSeg newItem)`
`protected void` | `checkItemType(Object newItem)` Check if the item is an SVGPathSeg.
`protected AbstractSVGPathSegList.SVGPathSegItem` | `createPathSegItem(org.w3c.dom.svg.SVGPathSeg pathSeg)` create an SVGItem representing this SVGPathSeg.
`protected abstract org.w3c.dom.svg.SVGException` | `createSVGException(short type, String key, Object[] args)` Create an SVGException when the checkItemType fails.
`protected SVGItem` | `createSVGItem(Object newItem)` Creates an `SVGItem` object that has the same values as those in the specified SVG object.
`protected void` | `doParse(String value, ListHandler handler)` Parse the 'd' attribute.
`org.w3c.dom.svg.SVGPathSeg` | `getItem(int index)`
`protected String` | `getItemSeparator()` Return the separator between segments in the list.
`org.w3c.dom.svg.SVGPathSeg` | `initialize(org.w3c.dom.svg.SVGPathSeg newItem)`
`org.w3c.dom.svg.SVGPathSeg` | `insertItemBefore(org.w3c.dom.svg.SVGPathSeg newItem, int index)`
`org.w3c.dom.svg.SVGPathSeg` | `removeItem(int index)`
`org.w3c.dom.svg.SVGPathSeg` | `replaceItem(org.w3c.dom.svg.SVGPathSeg newItem, int index)`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, clear, createDOMException, getItemImpl, getNumberOfItems, getValueAsString, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, resetAttribute, resetAttribute, revalidate, setAttributeValue, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGPathSegList
`clear, getNumberOfItems`

Field Detail

### SVG_PATHSEG_LIST_SEPARATOR

    public static final String SVG_PATHSEG_LIST_SEPARATOR

  Separator for a point list.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractSVGPathSegList

    protected AbstractSVGPathSegList()

  Creates a new SVGPathSegList.

Method Detail

### getItemSeparator

    protected String getItemSeparator()

  Return the separator between segments in the list.

  Specified by:
    `getItemSeparator` in class `AbstractSVGList`

### createSVGException

    protected abstract org.w3c.dom.svg.SVGException createSVGException(short type,
                                                                       String key,
                                                                       Object[] args)

  Create an SVGException when the checkItemType fails.

  Returns:
    SVGException

### initialize

    public org.w3c.dom.svg.SVGPathSeg initialize(org.w3c.dom.svg.SVGPathSeg newItem)
                                          throws DOMException,
                                                 org.w3c.dom.svg.SVGException

  Specified by:
    `initialize` in interface `org.w3c.dom.svg.SVGPathSegList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### getItem

    public org.w3c.dom.svg.SVGPathSeg getItem(int index)
                                       throws DOMException

  Specified by:
    `getItem` in interface `org.w3c.dom.svg.SVGPathSegList`
  Throws:
    `DOMException`

### insertItemBefore

    public org.w3c.dom.svg.SVGPathSeg insertItemBefore(org.w3c.dom.svg.SVGPathSeg newItem,
                                                       int index)
                                                throws DOMException,
                                                       org.w3c.dom.svg.SVGException

  Specified by:
    `insertItemBefore` in interface `org.w3c.dom.svg.SVGPathSegList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### replaceItem

    public org.w3c.dom.svg.SVGPathSeg replaceItem(org.w3c.dom.svg.SVGPathSeg newItem,
                                                  int index)
                                           throws DOMException,
                                                  org.w3c.dom.svg.SVGException

  Specified by:
    `replaceItem` in interface `org.w3c.dom.svg.SVGPathSegList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### removeItem

    public org.w3c.dom.svg.SVGPathSeg removeItem(int index)
                                          throws DOMException

  Specified by:
    `removeItem` in interface `org.w3c.dom.svg.SVGPathSegList`
  Throws:
    `DOMException`

### appendItem

    public org.w3c.dom.svg.SVGPathSeg appendItem(org.w3c.dom.svg.SVGPathSeg newItem)
                                          throws DOMException,
                                                 org.w3c.dom.svg.SVGException

  Specified by:
    `appendItem` in interface `org.w3c.dom.svg.SVGPathSegList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### createSVGItem

    protected SVGItem createSVGItem(Object newItem)

  Description copied from class: `AbstractSVGList`
  Creates an `SVGItem` object that has the same values as those in the specified SVG object.

  Specified by:
    `createSVGItem` in class `AbstractSVGList`
  Parameters:
    `newItem` - the SVG object
  Returns:
    the newly created `SVGItem` object

### doParse

    protected void doParse(String value,
                           ListHandler handler)
                    throws ParseException

  Parse the 'd' attribute.

  Specified by:
    `doParse` in class `AbstractSVGList`
  Parameters:
    `value` - 'd' attribute value
    `handler` - : list handler
  Throws:
    `ParseException`

### checkItemType

    protected void checkItemType(Object newItem)

  Check if the item is an SVGPathSeg.

  Specified by:
    `checkItemType` in class `AbstractSVGList`

### createPathSegItem

    protected AbstractSVGPathSegList.SVGPathSegItem createPathSegItem(org.w3c.dom.svg.SVGPathSeg pathSeg)

  create an SVGItem representing this SVGPathSeg.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.